package dev.pfaff.glass.opengl;

import java.lang.foreign.MemorySegment;

public sealed interface Pointer<T> permits ConstPointer, MutPointer {
	MemorySegment ms();

	default ConstPointer<T> asConst() {
		return new ConstPointer<>(ms());
	}
}
